Bug 520717 - setroubleshoot: SELinux is preventing wineserver "write" access on pipe.
Summary: setroubleshoot: SELinux is preventing wineserver "write" access on pipe.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0c0e70f25b2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 22:26 UTC by shmuel siegel
Modified: 2009-09-02 13:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 13:38:33 UTC


Attachments (Terms of Use)

Description shmuel siegel 2009-09-01 22:26:46 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing wineserver "write" access on pipe.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by wineserver. It is not expected that this
access is required by wineserver and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Objects                pipe [ fifo_file ]
Source                        wineserver
Source Path                   /usr/bin/wineserver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wine-core-1.1.28-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.190.rc8.fc12.i686 #1 SMP Fri Aug 28
                              19:07:13 EDT 2009 i686 i686
Alert Count                   4
First Seen                    Wed 02 Sep 2009 12:09:37 AM IDT
Last Seen                     Wed 02 Sep 2009 01:20:57 AM IDT
Local ID                      3309a247-52e5-4776-ac88-eb53009eda30
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251843657.797:232): avc:  denied  { write } for  pid=4162 comm="wineserver" path="pipe:[43148]" dev=pipefs ino=43148 scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tclass=fifo_file

node=(removed) type=SYSCALL msg=audit(1251843657.797:232): arch=40000003 syscall=4 success=yes exit=16 a0=44 a1=bf8a8650 a2=10 a3=bf8a8650 items=0 ppid=1 pid=4162 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wineserver" exe="/usr/bin/wineserver" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= wine_t ==============
allow wine_t self:fifo_file write;

Comment 1 Daniel Walsh 2009-09-02 13:38:33 UTC
Fixed in selinux-policy-3.6.30-3.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.